<?php
	if(!isset($_POST['base_img'])){
		die("{\"error\": \" Flopou. Cadê o base_img?\"}");
	}

	require_once dirname(__FILE__) . '/../cms/includes/inicio.php';

	$result = [];
	$data = str_replace(" ","+",$_POST['base_img']); //O envio do dado pelo XMLHttpRequest tende a trocar o + por espaço, por isso a necessidade de substituir. 
	$name = $_POST['base_slug'].'-'.md5(time().uniqid()); 
	$path = "../tmp/{$name}.jpg";

	//data
	$data = explode(',', $data);
	
	//Save data
	file_put_contents($path, base64_decode(trim($data[1])));
	
	//Print Data
	$result['img'] =str_replace("../", "",$path);
	echo json_encode($result);
?>